AWS Lambda
Guia do desenvolvedor

Definindo um ambiente de desenvolvimento do PowerShell

Para configurar seu ambiente de desenvolvimento para escrever scripts do PowerShell, faça o seguinte:

  1. Instale a versão correta do PowerShell. O suporte do Lambda para o PowerShell se baseia na versão do PowerShell Core 6.0 entre plataformas. Isso significa que você pode desenvolver suas funções do Lambda para PowerShell no Windows, Linux ou Mac. Se você não tiver essa versão do PowerShell instalada, poderá encontrar instruções no tópico sobre como Instalar o PowerShell Core.

  2. Instale o SDK do .NET Core 2.1. Como o PowerShell Core é desenvolvido com base no .NET Core, o suporte do Lambda para o PowerShell usa o mesmo tempo de execução do Lambda para .NET Core 2.1 em funções Lambda do .NET Core e PowerShell. O .NET Core 2.1 SDK é usado pelos novos cmdlets de publicação do PowerShell do Lambda para criar o pacote de implantação do Lambda. O .NET Core 2.1 SDK está disponível em downloads do .NET no site da Microsoft. Certifique-se de instalar o SDK e não a instalação do tempo de execução.

  3. Instale o módulo AWSLambdaPSCore. Você pode instalar o módulo da Galeria do PowerShell ou usando o seguinte comando shell do PowerShell Core:

    Install-Module AWSLambdaPSCore -Scope CurrentUser